Index: po/de.po
===================================================================
--- po/de.po	(revision 3511)
+++ po/de.po	(working copy)
@@ -376,22 +376,20 @@
 msgstr "Setze den Exif-ISO Wert auf"
 
 #: src/actions.cpp:1672
-#, fuzzy
 msgid "No Exif user comment found"
-msgstr "Exif-Kommentar"
+msgstr "Kein Exif-Nutzerkommentar gefunden"
 
 #: src/actions.cpp:1680
 msgid "Found Exif user comment with unexpected value type"
-msgstr ""
+msgstr "Exif-Nutzerkommentar mit unerwartetem Wertetyp gefunden"
 
 #: src/actions.cpp:1687
 msgid "No Exif UNICODE user comment found"
-msgstr ""
+msgstr "Kein UNICODE-Exif-Nutzerkommentar gefunden"
 
 #: src/actions.cpp:1693
-#, fuzzy
 msgid "Setting Exif UNICODE user comment to"
-msgstr "Setze den Exif-ISO Wert auf"
+msgstr "Setze den UNICODE-Exif-Nutzerkommentar auf"
 
 #: src/actions.cpp:1844
 msgid "Writing Exif data from"
@@ -4746,9 +4744,8 @@
 msgstr "Dies scheint kein JPEG-Bild zu sein."
 
 #: src/error.cpp:72
-#, fuzzy
 msgid "%1: Failed to map file for reading and writing: %2"
-msgstr "Die Kommandozeile konnte nicht gelesen werden\n"
+msgstr "%1: Die Datei konnte nicht für Lese- und Schreibzugriff gemappt werden: %2\n"
 
 #: src/error.cpp:73
 msgid "%1: Failed to rename file to %2: %3"
@@ -5063,33 +5060,29 @@
 msgstr "   -v      Ausführliche Meldungen während des Programmlaufs.\n"
 
 #: src/exiv2.cpp:264
-#, fuzzy
-msgid ""
-"   -q      Silence warnings and error messages during the program run "
+msgid "   -q      Silence warnings and error messages during the program run "
 "(quiet).\n"
-msgstr "   -v      Ausführliche Meldungen während des Programmlaufs.\n"
+msgstr "   -q      Schaltet Warnungen und Fehlermeldungen während des Programmlaufs stumm (quiet).\n"
 
 #: src/exiv2.cpp:265
-msgid ""
-"   -Q lvl  Set log-level to d(ebug), i(nfo), w(arning), e(rror) or m(ute).\n"
-msgstr ""
+msgid "   -Q lvl  Set log-level to d(ebug), i(nfo), w(arning), e(rror) or m(ute).\n"
+msgstr "   -Q lvl  Setzt das Log-Level zu d(ebug), i(nfo), w(arning), e(rror) oder m(ute).\n"
 
 #: src/exiv2.cpp:266
 msgid "   -b      Show large binary values.\n"
 msgstr "   -b      Zeigt große binäre Werte an.\n"
 
 #: src/exiv2.cpp:267
-#, fuzzy
 msgid "   -u      Show unknown tags.\n"
-msgstr "   -u      Zeigt keine unbekannten Felder an.\n"
+msgstr "   -u      Zeigt unbekannte Felder an.\n"
 
 #: src/exiv2.cpp:268
 msgid "   -g key  Only output info for this key (grep).\n"
-msgstr ""
+msgstr "   -g key  Ausgabe nur für diesen Schlüssel (grep).\n"
 
 #: src/exiv2.cpp:269
 msgid "   -n enc  Charset to use to decode UNICODE Exif user comments.\n"
-msgstr ""
+msgstr "   -n enc  Setzt den Zeichensatz, um UNICODE-Exif-Nutzerkommentare zu dekodieren.\n"
 
 #: src/exiv2.cpp:270
 msgid "   -k      Preserve file timestamps (keep).\n"
@@ -5150,76 +5143,60 @@
 "             s : druckt eine Zusammenfassung der Exif-Metadaten (Standard)\n"
 
 #: src/exiv2.cpp:283
-#, fuzzy
 msgid ""
 "             a : print Exif, IPTC and XMP metadata (shortcut for -Pkyct)\n"
 msgstr ""
-"             v : Vollständige Exif-Datenwerte (Kurzform für -Pxgnycv)\n"
+"             a : druckt Exif-, IPTC- und XMP-Metadaten (Kurzform für -Pkyct)\n"
 
 #: src/exiv2.cpp:284
-#, fuzzy
 msgid "             t : interpreted (translated) Exif data (-PEkyct)\n"
-msgstr ""
-"             t : interpretiert (übersetzt) die Exif-Daten (Kurzform für -"
-"Pkyct)\n"
+msgstr "             t : interpretierte (übersetzte) Exif-Daten (-PEkyct)\n"
 
 #: src/exiv2.cpp:285
-#, fuzzy
 msgid "             v : plain Exif data values (-PExgnycv)\n"
-msgstr ""
-"             v : Vollständige Exif-Datenwerte (Kurzform für -Pxgnycv)\n"
+msgstr "             v : blanke Exif-Datenwerte (-PExgnycv)\n"
 
 #: src/exiv2.cpp:286
-#, fuzzy
 msgid "             h : hexdump of the Exif data (-PExgnycsh)\n"
-msgstr "             h : Hexdump der Exif-Daten (Kurzform für -Pxgnycsh)\n"
+msgstr "             h : Hexdump der Exif-Daten (-PExgnycsh)\n"
 
 #: src/exiv2.cpp:287
-#, fuzzy
 msgid "             i : IPTC data values (-PIkyct)\n"
-msgstr "             i : IPTC-Datenwerte\n"
+msgstr "             i : IPTC-Datenwerte (-PIkyct)\n"
 
 #: src/exiv2.cpp:288
-#, fuzzy
 msgid "             x : XMP properties (-PXkyct)\n"
-msgstr "             x : XMP-Eigenschaften\n"
+msgstr "             x : XMP-Eigenschaften (-PXkyct)\n"
 
 #: src/exiv2.cpp:289 src/exiv2.cpp:312
 msgid "             c : JPEG comment\n"
 msgstr "             c : JPEG-Kommentar\n"
 
 #: src/exiv2.cpp:290
-#, fuzzy
 msgid "             p : list available previews\n"
-msgstr "             l : Feldlabel\n"
+msgstr "             p : listet verfügbare Voransichten auf\n"
 
 #: src/exiv2.cpp:291
-#, fuzzy
 msgid ""
 "   -P flgs Print flags for fine control of tag lists ('print' action):\n"
 msgstr ""
-"   -P cols Druckt Spalten für die Exif-Feldliste (Aktion 'Drucken' action). "
-"Gültig sind:\n"
+"   -P flgs Druckflags zur Feinsteuerung der Feldliste (Aktion 'Drucken'). Gültig sind:\n"
 
 #: src/exiv2.cpp:292
-#, fuzzy
 msgid "             E : include Exif tags in the list\n"
-msgstr "             s : Größe in Bytes\n"
+msgstr "             E : berücksichtigt Exif-Felder in der List\n"
 
 #: src/exiv2.cpp:293
-#, fuzzy
 msgid "             I : IPTC datasets\n"
-msgstr "             i : IPTC-Daten\n"
+msgstr "             I : IPTC-Datensätze\n"
 
 #: src/exiv2.cpp:294
-#, fuzzy
 msgid "             X : XMP properties\n"
-msgstr "             x : XMP-Eigenschaften\n"
+msgstr "             X : XMP-Eigenschaften\n"
 
 #: src/exiv2.cpp:295
-#, fuzzy
 msgid "             x : print a column with the tag number\n"
-msgstr "             x : Druckt eine Spalte mit dem Feldwert\n"
+msgstr "             x : druckt eine Spalte mit der Feldnummer\n"
 
 #: src/exiv2.cpp:296
 msgid "             g : group name\n"
@@ -5251,7 +5228,7 @@
 
 #: src/exiv2.cpp:303
 msgid "             v : plain data value\n"
-msgstr "             v : Vollständiger Datenwert\n"
+msgstr "             v : Blanker Datenwert\n"
 
 #: src/exiv2.cpp:304
 msgid "             t : interpreted (translated) data\n"
@@ -5264,11 +5241,12 @@
 #: src/exiv2.cpp:306
 msgid ""
 "   -d tgt  Delete target(s) for the 'delete' action. Possible targets are:\n"
-msgstr "   -d ziel  Ziele für die Aktion \"Löschen\". Mögliche Ziele sind:\n"
+msgstr ""
+"   -d tgt  Löschziel(e) für die Aktion \"Löschen\". Mögliche Ziele sind:\n"
 
 #: src/exiv2.cpp:307
 msgid "             a : all supported metadata (the default)\n"
-msgstr "             a : Alle unterstützten Metadaten (Standard)\n"
+msgstr "             a : alle unterstützten Metadaten (Standard)\n"
 
 #: src/exiv2.cpp:308
 msgid "             e : Exif section\n"
@@ -5294,15 +5272,14 @@
 "           Only JPEG thumbnails can be inserted, they need to be named\n"
 "           <file>-thumb.jpg\n"
 msgstr ""
-"   -i ziel  Einfügeziele für die Aktion \"Einfügen\". Mögliche Ziele sind\n"
-"           die gleichen wie bei der Option -d und:\n"
+"   -i tgt  Einfügeziel(e) für die Aktion \"Einfügen\". Mögliche Ziele sind\n"
+"           die gleichen wie bei der Option -d und ein Modifizierer:\n"
 "             X : Fügt die Metadaten aus der XMP-Zusatzdatei <file>.xmp ein\n"
-"           Nur JPEG Bildvorschauen können eingefügt werden. Sie müssen den "
+"           Nur JPEG-Bildvorschauen können eingefügt werden. Sie müssen den "
 "Namen\n"
 "           <file>-thumb.jpg haben.\n"
 
 #: src/exiv2.cpp:318
-#, fuzzy
 msgid ""
 "   -e tgt  Extract target(s) for the 'extract' action. Possible targets\n"
 "           are the same as those for the -d option, plus a target to "
@@ -5311,9 +5288,12 @@
 "             p[<n>[,<m> ...]] : Extract preview images.\n"
 "             X : Extract metadata to an XMP sidecar file <file>.xmp\n"
 msgstr ""
-"   -e ziel  Extraktionsziele für die Aktion 'Extrahieren'. Mögliche Ziele "
+"   -e tgt  Extraktionsziel(e) für die Aktion 'Extrahieren'. Mögliche Ziele "
 "sind\n"
-"           die gleichen wie bei der Option -d, und:\n"
+"           die gleichen wie bei der Option -d sowie ein Ziel zum "
+"Extrahieren\n"
+"           von Vorschaubildern und ein Modifizierer zum Erzeugen einer XMP-Zusatzdatei:\n"
+"             p[<n>[,<m> ...]] : Extrahiert Vorschaubilder.\n"
 "             X : Extrahiert die Metadaten in die XMP-Zusatzdatei <file>.xmp\n"
 
 #: src/exiv2.cpp:323
@@ -5346,7 +5326,7 @@
 
 #: src/exiv2.cpp:330
 msgid "   -c txt  JPEG comment string to set in the image.\n"
-msgstr "   -c txt  JPEG-Kommentar der im Bild gesetzt wird.\n"
+msgstr "   -c txt  JPEG-Kommentar, der im Bild gesetzt wird.\n"
 
 #: src/exiv2.cpp:331
 msgid ""
@@ -5370,7 +5350,7 @@
 "   -l dir  Location (directory) for files to be inserted from or extracted "
 "to.\n"
 msgstr ""
-"   -l ord  Lokation (Ordner) für die Dateien, aus denen eingefügt bzw. "
+"   -l ord  Ort (Ordner) für die Dateien, aus denen eingefügt bzw. "
 "extrahiert wird.\n"
 
 #: src/exiv2.cpp:336
@@ -5410,7 +5390,7 @@
 
 #: src/exiv2.cpp:439 src/exiv2.cpp:499 src/exiv2.cpp:685
 msgid "is not compatible with a previous option\n"
-msgstr "kann nicht mit der vorangegangenen Option zusammen benutzt werden\n"
+msgstr "kann nicht mit einer vorangegangenen Option zusammen benutzt werden\n"
 
 #: src/exiv2.cpp:454
 msgid "Ignoring surplus option -a"
@@ -5423,7 +5403,7 @@
 #: src/exiv2.cpp:467
 msgid "Option -a is not compatible with a previous option\n"
 msgstr ""
-"Die Option \"-a\" kann nicht mit der vorangegangenen Option zusammen benutzt "
+"Die Option \"-a\" kann nicht mit einer vorangegangenen Option zusammen benutzt "
 "werden\n"
 
 #: src/exiv2.cpp:489
@@ -5445,7 +5425,7 @@
 #: src/exiv2.cpp:534
 msgid "Option -p is not compatible with a previous option\n"
 msgstr ""
-"Die Option \"-p\" kann nicht mit der vorangegangenen Option zusammen benutzt "
+"Die Option \"-p\" kann nicht mit einer vorangegangenen Option zusammen benutzt "
 "werden\n"
 
 #: src/exiv2.cpp:565
@@ -5459,25 +5439,25 @@
 #: src/exiv2.cpp:578
 msgid "Option -P is not compatible with a previous option\n"
 msgstr ""
-"Die Option \"-P\" kann nicht mit der vorangegangenen Option zusammen benutzt "
+"Die Option \"-P\" kann nicht mit einer vorangegangenen Option zusammen benutzt "
 "werden\n"
 
 #: src/exiv2.cpp:605
 msgid "Option -d is not compatible with a previous option\n"
 msgstr ""
-"Die Option \"-d\" kann nicht mit der vorangegangenen Option zusammen benutzt "
+"Die Option \"-d\" kann nicht mit einer vorangegangenen Option zusammen benutzt "
 "werden\n"
 
 #: src/exiv2.cpp:633
 msgid "Option -e is not compatible with a previous option\n"
 msgstr ""
-"Die Option \"-e\" kann nicht mit der vorangegangenen Option zusammen benutzt "
+"Die Option \"-e\" kann nicht mit einer vorangegangenen Option zusammen benutzt "
 "werden\n"
 
 #: src/exiv2.cpp:661
 msgid "Option -i is not compatible with a previous option\n"
 msgstr ""
-"Die Option \"-i\" kann nicht mit der vorangegangenen Option zusammen benutzt "
+"Die Option \"-i\" kann nicht mit einer vorangegangenen Option zusammen benutzt "
 "werden\n"
 
 #: src/exiv2.cpp:702
@@ -17821,7 +17801,7 @@
 
 #: src/properties.cpp:562 src/tags.cpp:1671
 msgid "User Comment"
-msgstr "Anmerkung des Nutzers"
+msgstr "Nutzerkommentar"
 
 #: src/properties.cpp:562
 msgid "EXIF tag 37510, 0x9286. Comments from user."
@@ -25193,7 +25173,7 @@
 
 #: src/tags.cpp:202
 msgid "Vendor specific information"
-msgstr "Hersteller spezifische Informationen"
+msgstr "Herstellerspezifische Informationen"
 
 #: src/tags.cpp:203
 msgid "Adobe DNG tags"
@@ -25216,7 +25196,7 @@
 #: src/tags.cpp:207
 #, fuzzy
 msgid "Adobe OPI tags"
-msgstr "Adobe DNG -Felder"
+msgstr "Adobe OPI -Felder"
 
 #: src/tags.cpp:208
 msgid "Last section"
@@ -25255,13 +25235,12 @@
 msgstr "Vorschaubild, Mehrseitendatei, Transparenzmaske"
 
 #: src/tags.cpp:237
-#, fuzzy
 msgid "Full-resolution image data"
-msgstr "Die Bilddaten konnten nicht gelesen werden."
+msgstr "Bilddaten in voller Auflösung"
 
 #: src/tags.cpp:238
 msgid "Reduced-resolution image data"
-msgstr ""
+msgstr "Bilddaten in reduzierter Auflösung"
 
 #: src/tags.cpp:239
 msgid "A single page of a multi-page image"
@@ -28395,7 +28374,7 @@
 "TIFF defined IFD structure but does not contain the image data "
 "characteristically compared with normal TIFF IFD."
 msgstr ""
-"Das Interoperabilitäts IFD besteht aus Feldern die Informationen enthalten, "
+"Das Interoperabilitäts IFD besteht aus Feldern, die Informationen enthalten, "
 "die die Interoperabilität sicherstellen. Die Interoperabilitätsstruktur des "
 "Interoperabilitäts IFD ist die gleiche wie in der TIFF IFD Struktur, enthält "
 "aber keine Bildcharakteristiken wie das normale TIFF IFD."