Index: src/exiv2.1
===================================================================
--- src/exiv2.1	(revision 4208)
+++ src/exiv2.1	(working copy)
@@ -291,76 +291,54 @@
 .TP
 .B \-p \fImode\fP
 Print mode for the 'print' action. Possible modes are:
-.br
-s : print a summary of the Exif metadata (the default)
-.br
-a : print Exif, IPTC and XMP metadata (shortcut for \-Pkyct)
-.br
-t : interpreted (translated) Exif tags (\-PEkyct)
-.br
-v : plain Exif tag values (\-PExgnycv)
-.br
-h : hexdump of the Exif data (\-PExgnycsh)
-.br
-i : IPTC datasets (\-PIkyct)
-.br
-x : XMP properties (\-PXkyct)
-.br
-c : JPEG comment
-.br
-p : list available image previews, sorted by preview image size in pixels
-.br
-S : print image structure information (jpg, png and tiff only)
-.br
-X : print "raw" XMP (jpg, png and tiff only)
+.TS
+l l.
+s	print a summary of the Exif metadata (the default)
+a	print Exif, IPTC and XMP metadata (shortcut for \-Pkyct)
+t	interpreted (translated) Exif tags (\-PEkyct)
+v	plain Exif tag values (\-PExgnycv)
+h	hexdump of the Exif data (\-PExgnycsh)
+i	IPTC datasets (\-PIkyct)
+x	XMP properties (\-PXkyct)
+c	JPEG comment
+p	list available image previews, sorted by preview image size in pixels
+S	print image structure information (jpg, png and tiff only)
+X	print "raw" XMP (jpg, png and tiff only)
+.TE
 .TP
 .B \-P \fIflgs\fP
 Print flags for fine control of the tag list ('print' action). Allows
 control of the type of metadata as well as data columns included in
 the print output.  Valid flags are:
-.br
-E : include Exif tags in the list
-.br
-I : IPTC datasets
-.br
-X : XMP properties
-.br
-x : print a column with the tag number
-.br
-g : group name
-.br
-k : key
-.br
-l : tag label
-.br
-n : tag name
-.br
-y : type
-.br
-c : number of components (count)
-.br
-s : size in bytes
-.br
-v : plain data value
-.br
-t : interpreted (translated) data
-.br
-h : hexdump of the data
+.TS
+l l.
+E	include Exif tags in the list
+I	IPTC datasets
+X	XMP properties
+x	print a column with the tag number
+g	group name
+k	key
+l	tag label
+n	tag name
+y	type
+c	number of components (count)
+s	size in bytes
+v	plain data value
+t	interpreted (translated) data
+h	hexdump of the data
+.TE
 .TP
 .B \-d \fItgt\fP
 Delete target(s) for the 'delete' action. Possible targets are:
-.br
-a : all supported metadata (the default)
-.br
-e : Exif section
-.br
-t : Exif thumbnail only
-.br
-i : IPTC data
-.br
-x : XMP packet
-.br
-c : JPEG comment
+.TS
+l l.
+a	all supported metadata (the default)
+e	Exif section
+t	Exif thumbnail only
+i	IPTC data
+x	XMP packet
+c	JPEG comment
+.TE
 .TP
 .B \-i \fItgt\fP
 Insert target(s) for the 'insert' action. Possible targets are the
@@ -399,13 +377,12 @@
 .B \-r \fIfmt\fP
 Filename format for the 'rename' action. The format string follows
 \fBstrftime\fP(3) and supports the following keywords:
-.br
-:basename:   - original filename without extension
-.br
-:dirname:    - name of the directory holding the original file
-.br
-:parentname: - name of parent directory
-.br
+.TS
+l l.
+:basename:	original filename without extension
+:dirname:	name of the directory holding the original file
+:parentname:	name of parent directory
+.TE
 Default filename format is %Y%m%d_%H%M%S.
 .TP
 .B \-c \fItxt\fP
@@ -510,70 +487,85 @@
 definition.
 .sp 1
 The format for an IPTC \fBDate\fP value is:
-.br
+.RS
     YYYY\-MM\-DD (year, month, day)
-.sp 1
+.RE
 The format for an IPTC \fBTime\fP value is:
-.br
+.RS
     HH:MM:SS (hours, minutes, seconds)
-.br
+.RE
 and may optionally be followed by:
-.br
+.RS
    \-HH:MM or +HH:MM (hours, minutes ahead/behind UTC)
-.sp 1
+.RE
 The format of \fBRational\fP (and \fBSRational\fP) is one of:
-.br
-    integer
-.br
-    integer-numerator/integer-denominator
-.br
-    Fnumber
-.br
-    fnumber
-.sp 1
+.RS
+.IP
+integer
+.IP
+integer-numerator/integer-denominator
+.IP
+Fnumber
+.IP
+fnumber
+.RE
 Rational Examples:
-.br
-    exiv2 "-Mset Exif.Photo.MaxApertureValue 557429/62500" X.jpg
-.br
-    exiv2 "-Mset Exif.Photo.MaxApertureValue F5.6" X.jpg
+.RS
+.nf
+exiv2 "-Mset Exif.Photo.MaxApertureValue 557429/62500" X.jpg
+exiv2 "-Mset Exif.Photo.MaxApertureValue F5.6" X.jpg
+.fi
+.RE
 .sp 1
 The Rational format Fnumber (or fnumber) is for the convenience of setting aperture values.  Aperture values
 are stored in Exif is an \fBAPEX\fP value which can be evaluated by the expression:
 .sp 1
-    apex-value  =    log(Fnumber) * 2.0 / log(2.0)
-.br
-    Fnumber     = exp(apex-value * log(2.0) / 2.0)
+.RS
+.nf
+apex-value  =    log(Fnumber) * 2.0 / log(2.0)
+Fnumber     = exp(apex-value * log(2.0) / 2.0)
+.fi
+.RE
 .sp 1
 The Rational format Fnumber is valid for any \fBRational\fP, even when the key is not an Aperture.
 More information about \fBAPEX\fP value is available from: http://en.wikipedia.org/wiki/APEX_system
 .sp 1
 The format of XMP \fBLangAlt\fP values includes an optional language qualifier:
-.br
-.B  lang="\fIlanguage-code\fP\fI" text\fP
+.RS
+.nf
+.B lang="\fIlanguage-code\fP\fI" text\fP
+.fi
+.RE
 .sp
 lang="x-default" is used if the value doesn't start with a language qualifier.
 .sp 1
+.RS
+.nf
     exiv2 -M'set Xmp.dc.title lang="de-DE" Euros' X.jpg
-.br
     exiv2 -M'set Xmp.dc.title lang="en-GB" Pounds' X.jpg
-.br
     exiv2 -M'set Xmp.dc.title lang="en-US" In God We Trust' X.jpg
-.br
     exiv2 -M'set Xmp.dc.title All others pay cash' X.jpg
+.fi
+.RE
 .sp 1
 To remove a language specification, set the value to '' (empty string)
-.br
-    exiv2 -M'set Xmp.dc.title lang="en-US"' X.jpg
-.sp 1
+.RS
+.nf
+exiv2 -M'set Xmp.dc.title lang="en-US"' X.jpg
+.fi
+.RE
 To remove all language specifications, delete the key:
-.br
-    exiv2 -M'del Xmp.dc.title' X.jpg
-.TP
+.RS
+.nf
+exiv2 -M'del Xmp.dc.title' X.jpg
+.fi
+.RE
 To register additional XMP namespaces, combine the command with:
-.TP
+.RS
 .nf
 \fBreg\fP \fIprefix\fP \fInamespace\fP
 .fi
+.RE
 .SS Command file format
 Empty lines and lines starting with \fB#\fP in a command file are
 ignored (comments). Remaining lines are commands as described above.
@@ -614,24 +606,17 @@
 format. The inserted XMP properties include those in the "IPTC Core"
 XMP schema.
 .TP
-.nf
 exiv2 \-M"set Exif.Photo.UserComment charset=Ascii New Exif comment" image.jpg
-.fi
 Sets the Exif comment to an ASCII string.
 .TP
-.nf
-exiv2 \-M"set Exif.GPSInfo.GPSLatitude 4/1 15/1 33/1" \\
-\-M"set Exif.GPSInfo.GPSLatitudeRef N" image.jpg
-.fi
+exiv2 \-M"set Exif.GPSInfo.GPSLatitude 4/1 15/1 33/1" \\ \-M"set Exif.GPSInfo.GPSLatitudeRef N" image.jpg
 Sets the latitude to 4 degrees, 15 minutes and 33 seconds north. The
 Exif standard stipulates that the GPSLatitude tag consists of three
 Rational numbers for the degrees, minutes and seconds of the latitude
 and GPSLatitudeRef contains either 'N' or 'S' for north or south
 latitude respectively.
 .TP
-.nf
 exiv2 insert \-l/tmp -S.CRW /data/*.JPG
-.fi
 Copy all metadata from CRW files in the /tmp directory to JPG files
 with corresponding basenames in the /data directory. Note that this
 copies metadata as is, without any modifications to adapt it to the